Burp Suite User Forum

Login to post

getting Error

Mohamed | Last updated: Mar 08, 2023 08:41AM UTC

getting error while installing Burp community in kali terminal Exec format error

Ben, PortSwigger Agent | Last updated: Mar 08, 2023 10:17AM UTC

Hi Mohamed, I have just replied to the email that you also sent us about this issue but, for completeness, I will repeat my response here. Based on the output you are receiving from the uname -a command (as provided in your email), it looks like the machine that you are using has ARM64 architecture. Unfortunately, we do not currently fully support using Burp on Linux ARM64 machines. The installable version of Burp comes embedded with a version of Java - the issue that you are seeing is a result of us not including an ARM64 compatible version of Java so when the installer reaches the point where it is trying to set this up, it fails (there are similar issues when using the embedded browser on Linux ARM64 machines). The good news is that we have added specific Linux ARM64 support to our 2023 development roadmap so, all being well, this should be available at some point this year. In the interim, you should be able to run the standalone Jar file using an external version of Java.

You need to Log in to post a reply. Or register here, for free.